Loading...
Searching...
No Matches
janus_videoroom_publisher_stream Struct Reference
Collaboration diagram for janus_videoroom_publisher_stream:
[legend]

## Data Fields

janus_videoroom_publisher * | publisher
janus_videoroom_media | type
int | mindex
char * | mid
char * | description
gboolean | disabled
gboolean | active
gboolean | muted
janus_audiocodec | acodec
janus_videocodec | vcodec
int | pt
char * | fmtp
char * | h264_profile
char * | vp9_profile
gint64 | fir_latest
gint | fir_seq
gboolean | opusfec
gboolean | opusdtx
gboolean | opusstereo
gboolean | simulcast
gboolean | svc
uint32_t | vssrc [3]
char * | rid [3]
int | rid_extmap_id
janus_mutex | rid_mutex
guint8 | audio_level_extmap_id
guint8 | video_orient_extmap_id
guint8 | playout_delay_extmap_id
janus_sdp_mdirection | audio_level_mdir
janus_sdp_mdirection | video_orient_mdir
janus_sdp_mdirection | playout_delay_mdir
int16_t | min_delay
int16_t | max_delay
int | audio_dBov_level
int | audio_active_packets
int | audio_dBov_sum
gboolean | talking
janus_recorder * | rc
janus_rtp_switching_context | rec_ctx
janus_rtp_simulcasting_context | rec_simctx
GHashTable * | rtp_forwarders
janus_mutex | rtp_forwarders_mutex
volatile gint | need_pli
volatile gint | sending_pli
gint64 | pli_latest
GSList * | subscribers
janus_mutex | subscribers_mutex
volatile gint | destroyed
janus_refcount | ref

## Field Documentation

## acodec

janus_audiocodec janus_videoroom_publisher_stream::acodec

## active

gboolean janus_videoroom_publisher_stream::active

## audio_active_packets

int janus_videoroom_publisher_stream::audio_active_packets

## audio_dBov_level

int janus_videoroom_publisher_stream::audio_dBov_level

## audio_dBov_sum

int janus_videoroom_publisher_stream::audio_dBov_sum

## audio_level_extmap_id

guint8 janus_videoroom_publisher_stream::audio_level_extmap_id

## audio_level_mdir

janus_sdp_mdirection janus_videoroom_publisher_stream::audio_level_mdir

## description

char* janus_videoroom_publisher_stream::description

## destroyed

volatile gint janus_videoroom_publisher_stream::destroyed

## disabled

gboolean janus_videoroom_publisher_stream::disabled

## fir_latest

gint64 janus_videoroom_publisher_stream::fir_latest

## fir_seq

gint janus_videoroom_publisher_stream::fir_seq

## fmtp

char* janus_videoroom_publisher_stream::fmtp

## h264_profile

char* janus_videoroom_publisher_stream::h264_profile

## max_delay

int16_t janus_videoroom_publisher_stream::max_delay

## mid

char* janus_videoroom_publisher_stream::mid

## min_delay

int16_t janus_videoroom_publisher_stream::min_delay

## mindex

int janus_videoroom_publisher_stream::mindex

## muted

gboolean janus_videoroom_publisher_stream::muted

## need_pli

volatile gint janus_videoroom_publisher_stream::need_pli

## opusdtx

gboolean janus_videoroom_publisher_stream::opusdtx

## opusfec

gboolean janus_videoroom_publisher_stream::opusfec

## opusstereo

gboolean janus_videoroom_publisher_stream::opusstereo

## playout_delay_extmap_id

guint8 janus_videoroom_publisher_stream::playout_delay_extmap_id

## playout_delay_mdir

janus_sdp_mdirection janus_videoroom_publisher_stream::playout_delay_mdir

## pli_latest

gint64 janus_videoroom_publisher_stream::pli_latest

## pt

int janus_videoroom_publisher_stream::pt

## publisher

janus_videoroom_publisher* janus_videoroom_publisher_stream::publisher

## rc

janus_recorder* janus_videoroom_publisher_stream::rc

## rec_ctx

janus_rtp_switching_context janus_videoroom_publisher_stream::rec_ctx

## rec_simctx

janus_rtp_simulcasting_context janus_videoroom_publisher_stream::rec_simctx

## ref

janus_refcount janus_videoroom_publisher_stream::ref

## rid

char* janus_videoroom_publisher_stream::rid[3]

## rid_extmap_id

int janus_videoroom_publisher_stream::rid_extmap_id

## rid_mutex

janus_mutex janus_videoroom_publisher_stream::rid_mutex

## rtp_forwarders

GHashTable* janus_videoroom_publisher_stream::rtp_forwarders

## rtp_forwarders_mutex

janus_mutex janus_videoroom_publisher_stream::rtp_forwarders_mutex

## sending_pli

volatile gint janus_videoroom_publisher_stream::sending_pli

## simulcast

gboolean janus_videoroom_publisher_stream::simulcast

## subscribers

GSList* janus_videoroom_publisher_stream::subscribers

## subscribers_mutex

janus_mutex janus_videoroom_publisher_stream::subscribers_mutex

## svc

gboolean janus_videoroom_publisher_stream::svc

## talking

gboolean janus_videoroom_publisher_stream::talking

## type

janus_videoroom_media janus_videoroom_publisher_stream::type

## vcodec

janus_videocodec janus_videoroom_publisher_stream::vcodec

## video_orient_extmap_id

guint8 janus_videoroom_publisher_stream::video_orient_extmap_id

## video_orient_mdir

janus_sdp_mdirection janus_videoroom_publisher_stream::video_orient_mdir

## vp9_profile

char* janus_videoroom_publisher_stream::vp9_profile

## vssrc

uint32_t janus_videoroom_publisher_stream::vssrc[3]

The documentation for this struct was generated from the following file:

- janus_videoroom.c